(function ($) {	

	$.fn.searchBox = function(ev) {

		var $searchEl = $('.search-elem');
		var $placeHolder = $('.placeholder');
		var $sField = $('#search-field');

		if ( ev === "open") {
			$searchEl.addClass('search-open')
		};

		if ( ev === 'close') {
			$searchEl.removeClass('search-open'),
			$placeHolder.removeClass('move-up'),
			$sField.val(''); 
		};

		var moveText = function() {
			$placeHolder.addClass('move-up');
		}

		$sField.focus(moveText);
		$placeHolder.on('click', moveText);
		
		// $('.submit').prop('disabled', true);
		// $('#search-field').keyup(function() {
	    //     if($(this).val() != '') {
	    //        $('.submit').prop('disabled', false);
	    //     }
	    // });
	}	

}(jQuery));

$('.search-btn').on('click', function(e) {
	$(this).searchBox('open');
	e.preventDefault();
});

$('.close').on('click', function() {
	$(this).searchBox('close');
});

// Button Hover JS
jQuery(function($) {
	'use strict';
	$(function() {
		$('.default-btn')
			.on('mouseenter', function(e) {
				var parentOffset = $(this).offset(),
					relX = e.pageX - parentOffset.left,
					relY = e.pageY - parentOffset.top;
				$(this).find('span').css({
					top: relY,
					left: relX
				})
			})
			.on('mouseout', function(e) {
				var parentOffset = $(this).offset(),
					relX = e.pageX - parentOffset.left,
					relY = e.pageY - parentOffset.top;
				$(this).find('span').css({
					top: relY,
					left: relX
				})
			});
	});

}(jQuery));


$('#block-list').owlCarousel({
    loop:true,
	nav:false,
	margin:10,
	autoplay:true,
    autoplayTimeout:3500,
    responsiveClass:true,
    responsive:{
        0:{
            items:1,
        },
        600:{
            items:2,
        },
        1000:{
            items:4,
			dots: true,
        }
    }
});




$('#knowledge').owlCarousel({
    loop:true,
    margin:10,
	nav:false,
	autoplay:true,
    autoplayTimeout:3500,
    responsiveClass:true,
    responsive:{
        0:{
            items:1,
        },
        600:{
            items:2,
        },
        1000:{
            items:3,
			dots: true,
        }
    }
});


$('#partners-list').owlCarousel({
    loop:true,
    margin:10,
	nav:false,
	autoplay:true,
    autoplayTimeout:3500,
    responsiveClass:true,
    responsive:{
        0:{
            items:1,
        },
        600:{
            items:3,
        },
        1000:{
            items:6,
			dots: true,
        }
    }
});
